body.wp-singular {
    background-color: #F5F7FA;
}

.container {
    max-width: 1350px;
    padding: 0 15px;
    margin: 0 auto;
}

.title-color {
    font-weight: 800;
    color: #1C59AE;
}

/* color change */
.breadcrumbs-container h1,
.title-color,
.function__text,
.benefits-title,
.benefit-icon,
.specs-main-title {
    color: #1C59AE;
    transition: color 0.3s ease;
}

.function__cards {
    background-color: #1C59AE33;
}

.tabs__btn.active {
    background-color: #1C59AE;
}

.advantages__number {
    text-shadow: 0px 4px 4px #1C59AE40;
    -webkit-text-stroke: 1px #1C59AE;
}

.tabs__body {
    box-shadow: 0px 4px 4px 0px #1C59AE40;
}

.specs__wrap {
    border-left: 20px solid #1C59AE;
}

.unified-specs__table th,
.unified-specs__table .is-header,
.spec-row:nth-child(odd) {
    background-color: #E4E9F0;
}


body.theme-green-mode .breadcrumbs-container h1,
body.theme-green-mode .title-color,
body.theme-green-mode .function__text,
body.theme-green-mode .benefits-title,
body.theme-green-mode .benefit-icon,
body.theme-green-mode .specs-main-title {
    color: #008000;
}

body.theme-green-mode .function__cards {
    background-color: #00800033;
}

body.theme-green-mode .tabs__btn.active {
    background-color: #008000;
}

body.theme-green-mode .tabs__body {
    box-shadow: 0px 4px 4px 0px #00800040;
}

body.theme-green-mode .advantages__number {
    text-shadow: 0px 4px 4px #00800040;
    -webkit-text-stroke: 1px #008000;
}

body.theme-green-mode .specs__wrap {
    border-left: 20px solid #008000;
}

body.theme-green-mode .unified-specs__table th,
body.theme-green-mode .unified-specs__table .is-header,
body.theme-green-mode .spec-row:nth-child(odd) {
    background-color: #E9F2ED;
}

@media (max-width: 1024px) {
    .specs__wrap {
        border-left: 10px solid #1C59AE;
    }

    body.theme-green-mode .specs__wrap {
        border-left: 10px solid #008000;
    }
}

/* .product-intro */
.product-intro {
    background-color: #ffffff;
    padding: 35px 0 39px 0;
    min-height: 500px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
}

.product-intro__wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 25px;
}

.product-intro__content {
    max-width: 629px;
}

.product-intro__title {
    font-weight: 800;
}

.product-intro__text {
    font-size: 16px;
}

.product-intro__media {
    max-width: 434px;
    max-height: 426px;
    overflow: hidden;
}

.product-intro__media img {
    width: 100%;
    object-fit: cover;
}

.product-intro__text p {
    margin-bottom: 10px;
}

.product-intro__text p:last-child {
    margin-bottom: 0;
}

@media (max-width: 1024px) {
    .product-intro__wrap {
        flex-wrap: wrap;
    }

    .product-intro__content {
        max-width: 100%;
    }

    .product-intro__media {
        margin: 0 auto;
    }
}

/* section function */
.function {
    padding: 50px 0;
}

.function__wrapper {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.function__title {
    text-align: center;
    margin-bottom: 50px;
}

.function__caption {
    max-width: 665px;
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 700;
    color: #000000;
}

.function__cards {
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-wrap: wrap;
    width: fit-content;
    border-radius: 20px;
    list-style: none;
    padding: 0;
    box-shadow: 0px 4px 4px 0px #1C59AE40;
    overflow: hidden;
    gap: 1px;
}

.function__item {
    background: #fff;
    padding: 35px 20px 10px 20px;
    text-align: center;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    min-width: 250px;
    max-width: 100%;
}

.function__icon-wrap {
    width: 50px;
    height: 50px;
}

.function__icon {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.function__text {
    font-weight: 700;
    font-size: 16px;
    margin-bottom: 0;
    line-height: 1.2;
}

.function__details {
    display: flex;
    flex-direction: column;
    column-gap: 55px;
    row-gap: 30px;
}

.function__row {
    display: flex;
    gap: 50px;
    justify-content: space-between;
}

.function__row:nth-child(even) {
    flex-direction: row-reverse;
}

.function__content-col {
    flex: 1;
    min-width: 0;
}

.function__media-col {
    border-radius: 32px;
    flex: 1;
    min-width: 0;
    max-height: 368px;
    width: 100%;
    overflow: hidden;
}

.function__media-col img {
    width: 100%;
    height: auto;
    max-height: 400px;
    border-radius: 32px;
    aspect-ratio: 16 / 9;
    box-shadow: 0px 4px 4px 0px #1C59AE40;
    object-fit: cover;
    object-position: center;
}

.function__subtitle {
    color: #000000;
    font-weight: 800;
}

.function__desc p {
    margin-bottom: 10px;
    line-height: 1.3;
}

.function__desc p:last-child {
    margin-bottom: 0;
}

@media (max-width: 1024px) {
    .function {
        padding: 25px 0;
    }

    .function__title {
        margin-bottom: 25px;
    }

    .function__cards {
        flex-wrap: wrap;
    }

    .function__item {
        flex: 1 1 45%;
    }

    .function__row,
    .function__row:nth-child(even) {
        flex-direction: column;
        gap: 20px;
    }

    .function__content-col,
    .function__media-col {
        flex: 0 0 100%;
        width: 100%;
    }

    .function__media-col {
        flex: 0 0 100%;
        width: 100%;
        max-width: 100%;
    }

    .function__media-col img {
        aspect-ratio: 4 / 3;
    }
}

/* application-section */
.application-section {
    padding: 50px 0;
}

.application-title {
    text-align: center;
    margin-bottom: 50px;
}

.tabs__nav {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    overflow-x: auto;
    padding-bottom: 0;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.tabs__nav::-webkit-scrollbar {
    display: none;
}

.tabs__btn {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px 8px 12px 12px;
    background-color: #ffffff;
    border: none;
    border-radius: 16px 16px 0 0;
    cursor: pointer;
    white-space: nowrap;
    font-weight: 600;
    font-size: 20px;
    color: #000000;
    transition: all 0.3s ease;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.05);
    max-width: 245px;
    width: 100%;
}

.tabs__icon {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    flex-shrink: 0;
}

.tabs__icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: filter 0.3s ease;
}

.tabs__text {
    font-weight: 600;
    line-height: 1.2;
    white-space: normal;
    text-align: left;
}

.tabs__btn.active {
    color: #ffffff;
}

.tabs__btn.active .tabs__icon img {
    filter: brightness(0) invert(1);
}

.tabs__body {
    background-color: #ffffff;
    padding: 22px 20px;
    min-height: 100px;

    border-top: none;
}

.tabs__pane {
    display: none;
    animation: fadeIn 0.4s ease;
    font-size: 18px;
    font-weight: 500;
    line-height: 1.3;
    color: #000000;
}

.tabs__pane.active {
    display: block;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(5px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 1024px) {

    .application-section {
        padding: 25px 0;
    }

    .application-title {
        margin-bottom: 25px;
    }

    .tabs__nav {
        overflow-x: visible;
        padding-bottom: 0;
        justify-content: stretch;
        gap: 10px;
    }

    .tabs__btn {
        flex: 1 0 45%;
        padding: 10px;
        font-size: 18px;
        justify-content: flex-start;
        border-radius: 12px;
        border: 1px solid transparent;
        max-width: none;
    }

    .tabs__btn.active {
        color: #fff;
    }

    .tabs__body {
        padding: 20px;
        border-radius: 12px;
        margin-top: 10px;
    }
}

@media (max-width: 480px) {
    .tabs__btn {
        flex-basis: 100%;
    }
}

.mobile-tab-content {
    display: none;
}

.mobile-arrow {
    display: none;
}

.tab-item-wrap {
    display: contents;
}

@media (max-width: 767px) {

    .tabs__nav {
        flex-direction: column;
        gap: 15px;
    }

    .tab-item-wrap {
        display: block;
        width: 100%;
    }

    .tabs__text {
        flex-grow: 1;
    }

    .tabs__btn {
        width: 100%;
        max-width: none;
        border-radius: 12px;
        margin-bottom: 0;
        padding-right: 20px;
    }

    .tabs__btn.active {
        border-radius: 12px 12px 0 0;
        color: #fff;
    }

    .mobile-arrow {
        display: block;
        font-size: 12px;
        transition: transform 0.3s;
    }

    .tabs__btn.active .mobile-arrow {
        transform: rotate(180deg);
        filter: brightness(0) invert(1);
    }

    .tabs__body.desktop-only {
        display: none !important;
    }

    .mobile-tab-content {
        display: none;
        background-color: #fff;
        padding: 20px;
        border-radius: 0 0 12px 12px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
        border: 1px solid rgba(0, 0, 0, 0.05);
        margin-top: -1px;
        font-size: 16px;
        line-height: 1.4;
        color: #000000;
        animation: slideDown 0.3s ease-out;
    }

    .tabs__btn.active+.mobile-tab-content {
        display: block;
    }
}

@keyframes slideDown {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* section advantages */
.advantages {
    padding: 50px 0;
}

.advantages__title {
    text-align: center;
    margin-bottom: 15px;
}

.advantages__subtitle {
    text-align: center;
    font-weight: 500;
    font-size: 20px;
}

.advantages__list {
    padding-left: 0;
    list-style: none;
    display: grid;
    grid-template-columns: repeat(2fr);
    gap: 20px;
}

.advantages__grid {
    display: flex;
    gap: 20px;
    justify-content: space-between;
    align-items: stretch;
    max-width: 1140px;
    margin: 0 auto;
}

.advantages__col {
    list-style: none;
    padding: 0;
    margin: 0;
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.advantages__item {
    background: #ffffff;
    border-radius: 16px;
    padding: 0 10px 0 20px;
    display: flex;
    align-items: center;
    gap: 20px;
    box-shadow: 0px 4px 4px 0px #0000001A;
    min-height: 80px;
}

.advantages__number {
    padding: 12px 0;
    font-size: 48px;
    line-height: 1;
    font-weight: 800;
    color: #ffffff;
    flex-shrink: 0;
    font-family: sans-serif;
}

.advantages__content {
    display: flex;
    align-items: center;
    padding: 12px 0 12px 20px;
    border-left: 1px solid #D8D9DD;
    min-height: 80px;
    height: 100%;
    font-size: 16px;
    font-weight: 600;
}

@media (max-width: 1024px) {

    .advantages__col {
        gap: 15px;
    }

    .advantages__grid {
        flex-direction: column;
        gap: 15px;
    }

    .advantages {
        padding: 25px 0;
    }

    .advantages__subtitle {
        font-size: 18px;
    }
}

@media (max-width: 767px) {
    .advantages__number {
        font-size: 36px;
    }
}

/* section specs */

.specs {
    padding: 50px 0;
}

.specs__title {
    text-align: center;
    margin-bottom: 50px;
}

.specs__wrap {
    display: flex;
    gap: 20px;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 4px 4px 0px #00000040;
    padding-right: 25px;
    background-color: #ffffff;
    min-height: 225px;
    max-width: 1140px;
    margin: 0 auto;
}

.specs__content {
    padding: 20px 0;
    max-width: 680px;
    width: 100%;
    padding-left: 30px;
    flex-shrink: 1;
}

.spects__caption {
    font-weight: 800;
    margin-bottom: 10px;
}

.specs__descr {
    font-size: 16px;
    line-height: 1.4;
}

.specs__descr p {
    margin-bottom: 0;
}

.specs__img-box {
    max-width: 365px;
    padding: 20px 0;
}

.specs__img {
    object-fit: cover;
}

@media (max-width: 1024px) {

    .specs {
        padding: 25px 0;
    }

    .specs__title {
        margin-bottom: 25px;
    }

    .specs__wrap {
        flex-direction: column;
    }

    .specs__content {
        max-width: 100%;
        padding-left: 10px;
    }

    .specs__img-box {
        order: -1;
        padding-left: 10px;
    }
}

@media (max-width: 560px) {
    .specs__wrap {
        padding: 0 10px;
    }

    .specs__wrap {
        border-left: none;
    }

    body.theme-green-mode .specs__wrap {
        border-left: none;
    }
}

/* section tables */
.unified-specs {
    padding: 50px 0;
}

.unified-specs__main-title {
    text-align: center;
    margin-bottom: 50px;
}

.unified-specs__grid {
    max-width: 820px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    align-items: start;
}

.unified-specs__item {
    width: 100%;
}

.unified-specs__item--full {
    grid-column: 1 / -1;
}

.unified-specs__sub-title {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 15px;
}

.unified-specs__table {
    width: 100%;
    border-collapse: collapse;
    font-size: 14px;
    table-layout: auto;
}

.unified-specs__table tr {
    border-bottom: 1px solid #D6D6D6;
}

.unified-specs__table tr:last-child {
    border-bottom: none;
}

.unified-specs__table td,
.unified-specs__table th {
    padding: 10px 15px;
    vertical-align: top;
    text-align: left;
    min-height: 50px;
}

.unified-specs__table th,
.unified-specs__table .is-header {
    color: #000000;
    font-weight: 600;
    font-size: 16px;
    line-height: 1.2;
}

.unified-specs__table td {
    background-color: #fff;
    color: #000000;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.2;
}

@media (max-width: 1024px) {
    .unified-specs {
        padding: 25px 0;
    }

    .unified-specs__main-title {
        margin-bottom: 25px;
    }
}

@media (max-width: 767px) {
    .unified-specs__sub-title {
        font-size: 18px;
    }

    .unified-specs__grid {
        grid-template-columns: 1fr;
    }

    .unified-specs__table td,
    .unified-specs__table th {
        display: block;
        width: 100%;
        white-space: normal;
    }

    .unified-specs__table th {
        border-bottom: none;
        padding-bottom: 4px;
    }
}

/* benefits section */

.benefits-section {
    background-color: #f4f6f8;
    padding: 50px 0;
    font-family: sans-serif;
}

.benefits-title {
    text-align: center;
    margin-bottom: 50px;
    line-height: 1.2;
}

.benefits-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 24px;
}

.benefit-content_subtitle,
.benefit-content h3 {
    font-family: 'Raleway', sans-serif;
    font-weight: 800;
    font-size: 20px;
    margin: 0 0 8px 0;
    color: #000000;
    line-height: 1.3;
}


.benefit-desc,
.benefit-content p {
    font-family: 'Nunito', sans-serif;
    font-weight: 500;
    font-size: 15px;
    margin: 0;
    color: #000000;
    line-height: 1.5;
}

.benefit-card {
    background-color: #fff;
    border-radius: 12px;
    padding: 8px 10px;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: flex-start;
    gap: 20px;
    transition: transform 0.2s ease;
}


@media (hover: hover) {
    .benefit-card:hover {
        transform: translateY(-3px);
        box-shadow: 0px 6px 8px 0px rgba(0, 0, 0, 0.25);
    }
}

.benefit-icon {
    flex-shrink: 0;
    width: 32px;
    height: 32px;
    margin-top: 4px;
}

@media (max-width: 1024px) {

    .benefits-section {
        padding: 25px 0;
    }

    .benefits-title {
        margin-bottom: 25px;
    }

    .benefits-grid {
        gap: 10px;
    }

    .benefit-card {
        gap: 10px;
    }

    .benefit-content_subtitle,
    .benefit-content h3 {
        font-size: 18px;
    }

    .benefit-icon svg {
        width: 28px;
        height: 28px;
    }
}

@media (max-width: 768px) {

    .benefits-grid {
        grid-template-columns: 1fr;
        gap: 16px;
    }

    .benefit-icon {
        width: 28px;
        height: 28px;
    }
}

/* specs-section */

.specs-section {
    padding: 50px 0;
}

.specs-main-title {
    text-align: center;
    margin-bottom: 50px;
}

.specs-content-wrapper {
    display: grid;
    grid-template-columns: 45% 50%;
    justify-content: space-between;
    gap: 40px;
    align-items: start;
}

.specs-content-wrapper.reverse {
    grid-template-columns: 50% 45%;
}

.specs-content-wrapper.reverse .specs-info-col {
    order: 2;
}

.specs-content-wrapper.reverse .specs-table-col {
    order: 1;
}

.specs-info-title {
    font-size: 32px;
    font-weight: 800;
    color: #000000;
    margin-top: 0;
    margin-bottom: 20px;
    line-height: 1.2;
}

.specs-info-text p {
    font-size: 16px;
    line-height: 1.6;
    color: #000000;
    margin-bottom: 16px;
}

.specs-info-text p:last-child {
    margin-bottom: 0;
}

.specs-table {
    border: 1px solid #D6D6D6;
    border-radius: 4px;
    overflow: hidden;
    font-size: 15px;
}

.spec-row {
    display: flex;
    border-bottom: 1px solid #D6D6D6;
}

.spec-row:last-child {
    border-bottom: none;
}

.spec-row:nth-child(even) {
    background-color: #ffffff;
}

.spec-label {
    width: 50%;
    padding: 12px 20px;
    font-weight: 600;
    color: #000000;
    border-right: 1px solid #D6D6D6;
}

.spec-value {
    width: 50%;
    padding: 10px 15px;
    color: #000000;
}

@media (max-width: 1024px) {

    .specs-section {
        padding: 25px 0;
    }

    .specs-main-title {
        margin-bottom: 25px;
    }

    .specs-content-wrapper {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .specs-info-title {
        font-size: 18px;
    }

    .specs-info-text {
        font-size: 16px;
    }

    .specs-content-wrapper.reverse {
        grid-template-columns: 1fr;
    }

    .specs-content-wrapper.reverse .specs-info-col {
        order: initial;
    }

    .specs-content-wrapper.reverse .specs-table-col {
        order: initial;
    }
}

@media (max-width: 767px) {

    .spec-label,
    .spec-value {
        font-size: 14px;
        padding: 5px;
    }
}

@media (max-width: 560px) {

    .spec-row {
        flex-direction: column;
    }

    .spec-label {
        font-size: 16px;
        border-bottom: 1px solid #D6D6D6;
        border-right: none;
    }

    .spec-label,
    .spec-value {
        width: 100%;
    }
}

/* section info-box */

.info-box {
    padding: 50px 0;
}

.info-box__wrap {
    padding: 45px 20px 25px 50px;
    box-shadow: 0px 4px 4px 0px #00000040;
    background-image: url('../img/decore/link-to-website.webp');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.info-box__content {
    max-width: 635px;
}

.info-box__title {
    font-size: 24px;
    margin-bottom: 10px;
}

.info-box__desc {
    margin-bottom: 25px;
}

.info-box__desc p {
    margin-bottom: 5px;
}

.info-box__desc p:last-child {
    margin-bottom: 0;
}

@media (max-width: 1024px) {
    .info-box {
        padding: 25px 0;
    }
}

@media (max-width: 767px) {

    .info-box__wrap {
        padding: 10px;
    }

    .info-box__title {
        font-size: 18px;
    }

    .info-box__desc {
        font-size: 15px;
    }
}

